/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

ion-input.inputstyle {
    --padding-start: 12px !important;
    height: 56px;
    border-radius: 32px;
    margin-bottom: 16px;
    width: 298px;
    border: 1px solid #33c7ff;
    padding-left: 26px;  
    margin-left: auto;
    margin-right: auto;
}
.page-header {
    background: var(--ion-color-primary);
    position: relative;
    display: flex;
    flex-direction: row;
    align-content: center;
    &.home-header {
        justify-content: space-between;
        height: 64px;  
    }
    .title {
        color: white;
        text-align: left;
        font-size: 25px;
        align-self: center;
        &.home-title {
            padding-left: 16px;
        }
    }
    .actions {
        float: right;
        align-self: center;
        margin-right: 8px;
    }
}
.page-content {
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    background: white;
    height: 100%;
    width: 100%;
    padding-top: 16px !important;
    padding-bottom: 16px !important;
    &.inner {
        min-height: 100%;
        height: fit-content !important;
    }
}
ion-content.page-content {
    --background: var(--ion-color-primary);
    background: var(--ion-color-primary);
    --height: 100%;
}
.bar-header {
    border: 0px !important;
    border-bottom-color: transparent !important;
    background-image: none !important;
    border-bottom: none !important;
}
ion-content.page {
    --background: var(--ion-color-primary);
    background: var(--ion-color-primary);
    width: 100%;
    padding: 0px;
    .page-container {
        --background: var(--ion-color-primary);
        background: var(--ion-color-primary);
        width: 100%;
        height: 100%;
        padding: 0px;    
    }
}
.page {
    --background: var(--ion-color-primary);
    background: var(--ion-color-primary);
    width: 100%;
    // height: 100%;
    padding: 0px;
}
.ion-btn {
    width: 123px;
    height: 48px;
    height: 48px;
    border-radius: 25px;
    border: 1px;  
    box-shadow: 2px 1px;
    background: #c6dcb8; 
}
.center {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 20%;
    width: 132px;  
}
.icon  {
    background:#33c7ff;
    margin-top: -47px;
    height: 470px;  
    position: relative;
}
.img-style{
    margin-top: 160px;
}
.back-button {

}
.main-page-title {
    margin-top: 16px;
    font-size: xx-large;
    color:white;
}
.main-page-content-text {
    margin-inline-start: 24px;
    margin-inline-end: 24px;
    margin-block-start: 24px;
}
ion-modal.auto-height {
    &.bottom {
        align-items: flex-end;
    }
    --border-radius : 25px 25px 0px 0px;
    
    --height: auto;

    .ion-page {
        position: relative;
        display: block;
        contain: content;
        background: transparent;
        .inner-content {

            max-height: 80vh;
            overflow: auto;
            padding: 10px;
        }
    }
}
.modalCss .modal-wrapper {
    width: 160px;
    height: 70px; 
}
.no-data-container {
    display: flex;
    height: 100%;
    width: 100%;
    align-items: center;
    justify-content: center;
}

.actions {
    ion-chip {
        color: white;
    }
    .selected {
        color: white;
        // background: var(--ion-color-primary-background);
        background: rgba(var(--ion-color-primary-rgb), 0.30);
        
    }
}

.split-page {
    display: flex;
    height: 100%;
    flex-direction: column;
    align-items: stretch;
    .bar-header {
        background: var(--ion-color-primary);
        flex-grow: 1;
        display: flex;
        align-items: center;
        .center {
            display: block;
            margin-left: auto;
            margin-right: auto;
            width: 50%;
        }
        .main-page-title {
            font-size: large;
        }
        .back-button {  
            position: absolute;
            align-self: flex-start;
        }
    }
    .page-content {
        flex-shrink: 1;
        flex-basis: 30%;

        .actual-content {
            margin-top: 26px;
            overflow-y: auto;
            background: white;
        }
    }
}
body.swal2-shown.swal2-height-auto {
    height: inherit !important;
}
.divider {
    border-top: 1px solid #d9d9d9;
}